macro "MacroMS" {

    
//Th
if (is("binary")){
	} else{
	run("Optimise Threshold", "threshold apply tests=11 range=0.20 subvolume=256 erosion=0 dilation=0");
	}

// Measure whole sectional area and global compactness
	//get first black pixel (not isolated) of the bone
x = 0;
y = 0;
v=0;
while (v!=255) {
	vt= getPixel(x,y);
	if (vt!=255){
		x=x+1;
		y=y+1;
	} else{
		if (getPixel(x+1,y)!=255 && getPixel(x,y+1)!=255 && getPixel(x-1,y)!=255 && getPixel(x,y-1)!=255){
			x=x+1;
			y=y+1;
		} else {
			v=255;
			}
		}
	}
doWand(x, y, 0.0, "8-connected");
run("Set Measurements...", "area area_fraction display redirect=None decimal=3");
List.setMeasurements;
WArea = List.getValue("Area");
GC = List.getValue("%Area");
run("Select None"); // normally not necessary

//slice geom
run("Slice Geometry", "bone=unknown 2d_thickness draw_axes draw_centroids annotated_copy_(2d) bone_min=128 bone_max=255 slope=0.0000 y_intercept=1.8000 background=128 foreground=255");
setResult("WArea", 0, WArea);
setResult("GC", 0, GC) ;

//get resolution
getPixelSize(unit, pw, ph, pd);
setResult("Res", 0, pw) ;

}
